#!/usr/bin/env python
# vim: tabstop=4 shiftwidth=4 softtabstop=4
# -*- coding: utf-8 -*-
#

import unittest
import ftg.parser.flow_dump
import ftg.utils.common


class TestFlowDumpParser(unittest.TestCase):

    def setUp(self):
        self.cu = CommonUtils()
        config_file = "test.conf"
        self.parser = FlowDumpParser(cu, config_file)
        pass

    def tearDown(self):
        self.parser.parse()
        pass

    def testparse(self):
        pass

    def testget_flow(self):
        flow = self.parser.get_flow()
        pass

    def testget_tables(self):
        tables = self.parser.get_tables()
        pass

    def testget_priorities(self):
        table_no = 0
        pris = self.parser.get_priorities(table_no)
        pass

    def testget_flowentries_as_dict(self):
        table_no = 0
        priority_no = 0
        ents = self.parser.get_flowentries_as_dict(table_no, priority_no)
        pass

    def testget_flowentry(self):
        table_no = 0
        priority_no = 0
        match_exp = "in_port=1"
        ent = self.parser.get_flowentry(table_no, priority_no, match_exp)
        pass

if __name__ == '__main__':
    unittest.main()
